> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runnage.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create sender ID



## OpenAPI

````yaml /openapi.json post /sender-ids
openapi: 3.1.0
info:
  title: Runnage API
  description: Developer-first email and SMS API for African startups and teams.
  license:
    name: MIT
    identifier: MIT
  version: 0.1.0
servers:
  - url: https://api.runnage.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Queue, list, and retrieve email messages.
  - name: SMS
    description: Queue, list, and retrieve SMS messages.
  - name: Domains
    description: Manage sending domains and DNS verification records.
  - name: Sender IDs
    description: Manage SMS sender IDs for country-specific sending.
paths:
  /sender-ids:
    post:
      tags:
        - Sender IDs
      summary: Create sender ID
      operationId: postSenderIds
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSenderIDRequest'
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SenderIDEnvelope'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateSenderIDRequest:
      type: object
      required:
        - name
        - purpose
        - country_code
      properties:
        name:
          type: string
          minLength: 2
          maxLength: 11
        purpose:
          type: string
        country_code:
          type: string
          minLength: 2
          maxLength: 2
          example: GH
    SenderIDEnvelope:
      type: object
      properties:
        sender_id:
          $ref: '#/components/schemas/SenderID'
    Error:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
      additionalProperties: true
    SenderID:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        purpose:
          type: string
        country_code:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
            - disabled
        approved_at:
          type: string
          format: date-time
        rejected_at:
          type: string
          format: date-time
        rejection_reason:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Runnage team access token

````